.. _google engines:

==============
Google Engines
==============

.. contents:: Contents
   :depth: 2
   :local:
   :backlinks: entry


.. _google API:

google API
==========

.. _Query Parameter Definitions:
   https://developers.google.com/custom-search/docs/xml_results#WebSearch_Query_Parameter_Definitions

For detailed description of the *REST-full* API see: `Query Parameter
Definitions`_.  Not all parameters can be appied and some engines are *special*
(e.g. :ref:`google news engine`).

.. _google web engine:

Google WEB
==========

.. automodule:: searx.engines.google
  :members:

.. _google images engine:

Google Images
=============

.. automodule:: searx.engines.google_images
  :members:

.. _google videos engine:

Google Videos
=============

.. automodule:: searx.engines.google_videos
  :members:

.. _google news engine:

Google News
===========

.. automodule:: searx.engines.google_news
  :members:
